import java.util.*;  

// Stack interface
/*
  push
  pop
  peek (a top op)
  
 */

public class StackEx1 {  
  public static void main(String args[]){ 
    // here keys are integer, associated values are String 
    Stack<String> stk = new Stack<String>(); //Creating Stack       
    try { stk.push("Mango"); } catch (Exception e) {
      System.out.println("oops... failed to push on stack"); 
    } 
    stk.push("Lemon");
    stk.push("Banana");   
    stk.push("Grapes");  
    
    System.out.println(stk.size());
    System.out.println(stk.peek()); // top operation
    System.out.println(stk.size());
    System.out.println(stk.pop());  // note returns the item that was on top
    System.out.println(stk.size());
    System.out.println(stk.pop());
    System.out.println(stk.size());

   
    
    // Note this sort of HashMap can also be done by Array...
    // but what are the downsides to doing this?
    //
    // String[] map = New Array[5000] ; <--- waste a lot of space to save a few items
    // map[1] = "Mango";
    // map[2] = "Apple"; // etc...
    /*       
    System.out.println("Iterating Hashmap...");  
    for(Map.Entry m : map.entrySet()){    
      System.out.println(m.getKey()+":> "+m.getValue());    
    }  
    */
    
  }  
}  