import java.util.ArrayDeque;
import java.util.LinkedList;
import java.util.Deque;

// https://www.geeksforgeeks.org/deque-interface-java-example/
// for the Deque interface and examples
//
 
public class DequeEx1 {
  public static void main(String[] args) {
    //Deque<Integer> deque = new ArrayDeque<Integer>();
    Deque<Integer> deque = new LinkedList<Integer>();
    //Deque<Integer> deque = new Deque<Integer>(); // illegal, Deque is abstract
    deque.addFirst(1);
    deque.addLast(2);
    int first = deque.removeFirst();
    int last = deque.removeLast();
    System.out.println("First: " + first + ", Last: " + last);
    System.out.println("size: " + deque.size());
    
    // use is as a FIFO queue
    deque.addLast(1);
    deque.add(2); // adds Last by default
    deque.add(3);
    System.out.println("queue contents");
    System.out.println(deque.removeFirst());
    System.out.println(deque.removeFirst());
    System.out.println(deque.removeFirst());
    
    // use is as a stack
    deque.push(1);
    deque.push(2);
    deque.push(3);
    System.out.println("stack contents");
    System.out.println("top: " + deque.peek());
    System.out.println(deque.pop());
    System.out.println(deque.pop());
    System.out.println(deque.pop());
    
    // use is as a stack
    deque.addFirst(1);
    deque.addFirst(2);
    deque.addFirst(3);
    System.out.println("stack contents");
    System.out.println("top: " + deque.peek());
    System.out.println(deque.removeFirst());
    System.out.println(deque.removeFirst());
    System.out.println(deque.removeFirst());
    // use is as a stack
    deque.addLast(1);
    deque.addLast(2);
    deque.addLast(3);
    System.out.println("stack contents");
    System.out.println("top: " + deque.peek()); // careful... 
    System.out.println(deque.removeLast());
    System.out.println(deque.removeLast());
    System.out.println(deque.removeLast());

  }
}